PeopleForce
Employees

Bulk update employees

PATCH
/api/public/v3/employees/bulk

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PATCH "https://example.com/api/public/v3/employees/bulk" \  -H "Content-Type: application/json" \  -d '{    "data": [      {        "id": 0      }    ]  }'
{  "records": {    "count": 0,    "data": [      {        "id": 0,        "status": "string",        "access": true,        "employee_number": "string",        "full_name": "string",        "first_name": "string",        "middle_name": "string",        "last_name": "string",        "avatar_url": "string",        "email": "string",        "mobile_number": "string",        "work_phone_number": "string",        "personal_email": "string",        "date_of_birth": "2019-08-24",        "probation_ends_on": "2019-08-24",        "hired_on": "2019-08-24",        "gender": {          "id": 0,          "name": "string"        },        "legal_entity": {          "id": 0,          "name": "string"        },        "position": {          "id": 0,          "name": "string"        },        "job_level": {          "id": 0,          "name": "string"        },        "location": {          "id": 0,          "name": "string"        },        "employment_type": {          "id": 0,          "name": "string"        },        "division": {          "id": 0,          "name": "string"        },        "job_profile": {          "id": 0,          "name": "string"        },        "department": {          "id": 0,          "name": "string",          "parent_id": 0,          "manager_id": 0,          "department_level": {            "id": 0,            "name": "string",            "hex_color": "string"          },          "created_at": "2019-08-24T14:15:22Z",          "updated_at": "2019-08-24T14:15:22Z",          "ancestors": [            {              "id": 0,              "name": "string",              "department_level": {                "id": 0,                "name": "string",                "hex_color": "string"              }            }          ],          "fields": {            "property1": {              "name": "string",              "value": "string"            },            "property2": {              "name": "string",              "value": "string"            }          }        },        "reporting_to": {          "id": 0,          "first_name": "string",          "last_name": "string",          "email": "string"        },        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "direct_reports": [          {            "id": 0,            "first_name": "string",            "last_name": "string",            "email": "string"          }        ],        "fields": {          "property1": {            "label": "string",            "group": {              "id": 0,              "name": "string"            },            "value": "string",            "option_id": 0,            "option_ids": [              0            ],            "user_id": 0          },          "property2": {            "label": "string",            "group": {              "id": 0,              "name": "string"            },            "value": "string",            "option_id": 0,            "option_ids": [              0            ],            "user_id": 0          }        },        "termination_effective_on": "2019-08-24",        "termination_comment": "string",        "termination_eligible_for_rehire": true,        "termination_type": {          "id": 0,          "name": "string"        },        "termination_reason": {          "id": 0,          "name": "string"        }      }    ]  },  "errors": {    "count": 0,    "data": [      {        "id": 0,        "messages": [          "string"        ]      }    ]  }}